org.eclipse.debug.ui.actions

## Class RulerBreakpointAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.debug.ui.actions.RulerBreakpointAction

All Implemented Interfaces:
  IAction

    public abstract class RulerBreakpointAction
    extends Action

Abstract action that works on breakpoints in the vertical ruler.

This class may be subclassed.

Since:
  3.2

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
Constructor and Description
`RulerBreakpointAction(ITextEditor editor, IVerticalRulerInfo info)` Constructs an action to work on breakpoints in the specified text editor with the specified vertical ruler information.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected IBreakpoint` `getBreakpoint()` Returns the breakpoint at the last line of mouse activity in the ruler or `null` if none.
`protected ITextEditor` `getEditor()` Returns the editor this action was created for.
`protected IVerticalRulerInfo` `getVerticalRulerInfo()` Returns the vertical ruler information this action was created for.

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, run, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RulerBreakpointAction

    public RulerBreakpointAction(ITextEditor editor,
                                 IVerticalRulerInfo info)

Constructs an action to work on breakpoints in the specified text editor with the specified vertical ruler information.

Parameters:
  `editor` - text editor
  `info` - vertical ruler information

### Method Detail

#### getBreakpoint

    protected IBreakpoint getBreakpoint()

Returns the breakpoint at the last line of mouse activity in the ruler or `null` if none.

Returns:
  breakpoint associated with activity in the ruler or `null`

#### getEditor

    protected ITextEditor getEditor()

Returns the editor this action was created for.

Returns:
  editor

#### getVerticalRulerInfo

    protected IVerticalRulerInfo getVerticalRulerInfo()

Returns the vertical ruler information this action was created for.

Returns:
  vertical ruler information